Subject: Re: SCTP multihoming: initiate connection to non-primary IP address

From: Zhou Kaibo <[email-masked]>
Date: Wed, 19 May 2010 09:26:50 +0200

Hi, Zoltán

For this situation, I think you should enable DAR on both peers before 
initialize SCTP association . Then peer B can update its secondary address to 
peer A using ASCONF .

Regards

Zhou Kaibo 

On Tuesday 18 May 2010 17:07:57 Kiss, Zoltan (NSN - HU/Budapest) wrote:
> Hi,
> 
> I have a question about a probable error situation of SCTP multihoming. In
> my example, we have two peer, both have 2 IP address. Peer A initiate the
> connection from its primary address Ax to Peer B's primary IP Bx. But Bx
> is unreachable, and for resiliency purposes it would be better if the A
> tries to connect to By (B's secondary address). But the question comes,
> how could A get knowledge of B's secondary address, if the INIT ACK
> doesn't comes? Is there any best practice to this problem? I have some
> ideas, but they are mostly just hacks.
> 
> Regards,
> 
> Zoltán, Kiss